Bug 459934 - Review Request: perl-DateTime-Format-Pg - Parse and format PostgreSQL dates and times
Review Request: perl-DateTime-Format-Pg - Parse and format PostgreSQL dates a...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Tibbitts
Fedora Extras Quality Assurance
http://search.cpan.org/dist/DateTime-...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-08-24 16:54 EDT by Chris Weyl
Modified: 2014-12-04 20:12 EST (History)
4 users (show)

See Also:
Fixed In Version: perl-DateTime-Format-Pg-0.16010-6.el7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-09-04 14:16:18 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
tibbs: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Chris Weyl 2008-08-24 16:54:52 EDT
SRPM URL: http://fedora.biggerontheinside.net/review/perl-DateTime-Format-Pg-0.16002-1.fc9.src.rpm
SPEC URL: http://fedora.biggerontheinside.net/review/perl-DateTime-Format-Pg.spec

Description:
This module understands the formats used by PostgreSQL for its DATE, TIME,
TIMESTAMP, and INTERVAL data types. It can be used to parse these formats
in order to create DateTime or DateTime::Duration objects, and it can take
a DateTime or DateTime::Duration object and produce a string representing
it in a format accepted by PostgreSQL.
Comment 1 Chris Weyl 2008-08-24 16:55:37 EDT
Koji task: http://koji.fedoraproject.org/koji/taskinfo?taskID=783247
Comment 2 Jason Tibbitts 2008-08-29 22:14:24 EDT
* source files match upstream:
   85d78d6732102fc917e345308b5b38b190cd4cde662adc0bafb589970d45af8c  
   DateTime-Format-Pg-0.16002.tar.gz
* package meets naming and versioning guidelines.
* specfile is properly named, is cleanly written and uses macros consistently.
* summary is OK.
* description is OK.
* dist tag is present.
* build root is OK.
* license field matches the actual license.
* license is open source-compatible.
* license text included in package.
* latest version is being packaged.
* BuildRequires are proper.
* %clean is present.
* package builds in mock (rawhide, x86_64).
* package installs properly.
* rpmlint is silent.
* final provides and requires are sane:
   perl(DateTime::Format::Pg) = 0.16002
   perl-DateTime-Format-Pg = 0.16002-1.fc10
  =
   perl(:MODULE_COMPAT_5.10.0)
   perl(Carp)
   perl(DateTime) >= 0.13
   perl(DateTime::Duration)
   perl(DateTime::Format::Builder) >= 0.72
   perl(DateTime::TimeZone) >= 0.06
   perl(DateTime::TimeZone::Floating)
   perl(DateTime::TimeZone::UTC)
   perl(strict)
   perl(vars)

* %check is present and all tests pass:
  All tests successful.
  Files=17, Tests=124,  2 wallclock secs ( 0.04 usr  0.03 sys +  2.04 cusr  
   0.18 csys =  2.29 CPU)

* owns the directories it creates.
* doesn't own any directories it shouldn't.
* no duplicates in %files.
* file permissions are appropriate.
* code, not content.
* documentation is small, so no -doc subpackage is necessary.
* %docs are not necessary for the proper functioning of the package.

APPROVED
Comment 3 Chris Weyl 2008-09-02 12:49:36 EDT
New Package CVS Request
=======================
Package Name: perl-DateTime-Format-Pg
Short Description: Parse and format PostgreSQL dates and times
Owners: cweyl
Branches: F-8, F-9, devel
InitialCC: perl-sig
Comment 4 Kevin Fenzi 2008-09-03 16:34:56 EDT
cvs done.
Comment 5 Chris Weyl 2008-09-04 14:16:18 EDT
Imported and built.  Thanks for the review!  :-)
Comment 6 Iain Arnell 2010-09-02 10:29:33 EDT
Package Change Request
======================
Package Name: perl-DateTime-Format-Pg
New Branches: el6
Owners: iarnell tremble
Comment 7 Kevin Fenzi 2010-09-02 17:22:05 EDT
Git done (by process-git-requests).
Comment 8 Bill Pemberton 2014-11-18 09:29:41 EST
Package Change Request
======================
Package Name: perl-DateTime-Format-Pg
New Branches: epel7
Owners: wfp
Comment 9 Gwyn Ciesla 2014-11-18 11:34:52 EST
Git done (by process-git-requests).
Comment 10 Fedora Update System 2014-11-18 12:14:08 EST
perl-DateTime-Format-Pg-0.16010-6.el7 has been submitted as an update for Fedora EPEL 7.
https://admin.fedoraproject.org/updates/perl-DateTime-Format-Pg-0.16010-6.el7
Comment 11 Fedora Update System 2014-12-04 20:12:00 EST
perl-DateTime-Format-Pg-0.16010-6.el7 has been pushed to the Fedora EPEL 7 stable repository.

Note You need to log in before you can comment on or make changes to this bug.